CP: Extended Product Search
curl --request GET \
--url https://api.valuechecker.net/product_search \
--header 'Authorization: <api-key>'import requests
url = "https://api.valuechecker.net/product_search"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.valuechecker.net/product_search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"pid": 1262830543,
"client_category_id": 4364,
"client_category": "Cell Phones",
"product_name": "Apple iPhone 14 128GB (2022)",
"pic_url": "https://img.valuechecker.net/,---.jpg",
"product_picture_url": "https://img.valuechecker.net/,---.jpg",
"specs": [
{
"spec_id": 999,
"spec_value": "36",
"spec_value_display": "Apple",
"spec_value_numeric": 3,
"spec_name": "Brand",
"spec_name_display": "Brand"
},
{
"spec_id": 1580,
"spec_value": "15.494",
"spec_value_display": "6.1\"",
"spec_value_numeric": 15.49,
"spec_name": "Foldable Screen",
"spec_name_display": "Foldable Screen"
},
{
"spec_id": 8300,
"spec_value": "2022-07-01",
"spec_value_display": "2022",
"spec_value_numeric": 1656633600,
"spec_name": "Release Year",
"spec_name_display": "Release Year"
},
{
"spec_id": 8000,
"spec_value": "128000",
"spec_value_display": "128 GB",
"spec_value_numeric": 128000,
"spec_name": "Storage Capacity",
"spec_name_display": "Storage Capacity"
},
{
"spec_id": 5000,
"spec_value": "15.494",
"spec_value_display": "6.1\"",
"spec_value_numeric": 15.49,
"spec_name": "Screen Size",
"spec_name_display": "Screen Size"
}
],
"price": {
"price_min": 850,
"price_max": 850,
"shop_count": 10,
"price_date": "2022-09-11 20:40:16"
},
"PriceClusters": {
"low": {
"udc_id": 369929,
"pid": 1941916191,
"group": "low",
"price": 147,
"count": 31,
"percentage": 0.76,
"min_price": 19,
"max_price": 364
},
"medium": {
"udc_id": 369930,
"pid": 1941916191,
"group": "medium",
"price": 158,
"count": 41,
"percentage": 1,
"min_price": 19,
"max_price": 1619
},
"high": {
"udc_id": 369931,
"pid": 1941916191,
"group": "high",
"price": 1491,
"count": 5,
"percentage": 0.12,
"min_price": 1289,
"max_price": 1619
}
},
"child_products": [
"Apple iPhone 14 Plus 128GB (PRODUCT)RED",
"Apple iPhone 14 Plus 128GB (PRODUCT)RED Special Edition"
],
"child_product_contents": []
},
{
"pid": 1262830545,
"client_category_id": 4364,
"client_category": "Cell Phones",
"product_name": "Apple iPhone 14 Plus 128GB (2022)",
"product_picture_url": "https://img.valuechecker.net/,---.jpg",
"specs": [
{
"spec_id": 999,
"spec_value": "36",
"spec_value_display": "Apple",
"spec_value_numeric": 3,
"spec_name": "Brand",
"spec_name_display": "Brand"
},
{
"spec_id": 8300,
"spec_value": "2022-07-01",
"spec_value_display": "2022",
"spec_value_numeric": 1656633600,
"spec_name": "Release Year",
"spec_name_display": "Release Year"
},
{
"spec_id": 8000,
"spec_value": "128000",
"spec_value_display": "128 GB",
"spec_value_numeric": 128000,
"spec_name": "Storage Capacity",
"spec_name_display": "Storage Capacity"
},
{
"spec_id": 5000,
"spec_value": "17.018",
"spec_value_display": "6.7\"",
"spec_value_numeric": 17.02,
"spec_name": "Screen Size",
"spec_name_display": "Screen Size"
}
],
"price": {
"price_min": 700,
"price_max": 1200,
"shop_count": 134,
"price_date": "2023-07-20 03:41:22"
},
"child_products": [],
"child_product_contents": []
}
],
"metadata": {
"used_query": "iphone 14",
"category": {
"requested_client_category_id": 2740,
"requested_client_category": "Mobile Phones",
"predicted_client_category_id": 2740,
"predicted_client_category": "Mobile Phones",
"prediction_certainty": 1,
"category_switched": false
}
}
}{
"error": "Missing parameter",
"description": "The \"query\" parameter is required."
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}Endpoint Examples
CP: Extended Product Search
GET
/
product_search
CP: Extended Product Search
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Query Parameters
User-input string. The user should enter the name of the product being claimed / searched for.
Optional correlating ID of the category selected by the user.
Optional category selected or defined by the user.
Optional flag to force the use of the requested category.
Optional claimed amount for the product.
Optional minimum price limit for the search.
Optional maximum price limit for the search.
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
⌘I